<?php
namespace Drupal\encrypt_kms\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBase;
use Drupal\encrypt_kms\SecretInterface;

/**
 * Defines the Secret entity.
 *
 * @ConfigEntityType(
 *   id = "aws_kms_secret",
 *   label = @Translation("AWS KMS Secret"),
 *   entity_keys = {
 *     "id" = "id"
 *   },
 *   config_export = {
 *     "id",
 *     "value"
 *   }
 * )
 */
class Secret extends ConfigEntityBase implements SecretInterface {

  /**
   * AWS KMS secret info.
   *
   * @var string
   */
  protected $value;

  /**
   * {@inheritdoc}
   */
  public function getValue() {
    return $this->value;
  }

  /**
   * {@inheritdoc}
   */
  public function setValue($value) {
    $this->value = $value;
  }

}
